RDSQUASHFS(1)

NAME
rdsquashfs - tool to examine or uncompress SquashFS filesystems

SYNOPSIS
rdsquashfs [OPTIONS] <squashfs-file>

DESCRIPTION
View or extract the contents of a squashfs image.

The following options can be used to specify what operation to perform. One of those has to be present:

--list, -l <path>
    Produce a directory listing similar to ls -l for a given path in the SquashFS image.

--cat, -c <path>
    If the specified path is a regular file in the image, extract it and dump its contents to stdout.

--xattr, -x <path>
    If the inode that the specified path resolves to has extended attributes, dump them as key value pairs to stdout.

--unpack-path, -u <path>
    Unpack the specified sub directory from the image. To unpack everything, simply specify /.

--describe, -d
    Produce a file listing from the image compatible with the format consumed by gensquashfs.

--stat, -s <path>
    Dump all available information about the inode that the path refers to, including SquashFS specific internals such as the on-disk layout of a file or the fast lookup index stored in an extended directory inode.

The following options can be used to control the behaviour of the specified operation:

--unpack-root, -p <path>
    If used with --unpack-path, this is where the data is unpacked to. If used with --describe, this is used as a prefix for the input path of regular files.

--no-dev, -D
    Skip device special files when parsing the filesystem tree.

--no-sock, -S
    Skip socket files when parsing the filesystem tree.

--no-fifo, -F
    Skip named pipes when parsing the filesystem tree.

--no-slink, -L
    Skip symbolic links when parsing the filesystem tree.

--no-empty-dir, -E
    Skip empty directories, including ones that are empty after applying the above rules.

The following options are specific to unpacking files from a SquashFS image to disk:

--no-sparse, -Z
    Do not create sparse files. Always unpack sparse files by writing blocks of zeros to disk.

--set-xattr, -X
    Set the extended attributes from the SquashFS image.

--set-times, -T
    Set the create and modify timestamps of the file to the mtime from the SquashFS image.

--chmod, -C
    Change permission flags of unpacked files to those stored in the SquashFS image.

--chown, -O
    Change ownership of unpacked files to the UID/GID set in the SquashFS image.

--quiet, -q
    Do not print out progress while unpacking.

Other options:

--help, -h
    Print help text and exit.

--version, -V
    Print version information and exit.

SEE ALSO
gensquashfs(1), sqfs2tar(1), sqfsdiff(1)

AUTHOR
Written by David Oberhollenzer.

COPYRIGHT
Copyright © 2019 David Oberhollenzer License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.